# Service account to run elastic search.
apiVersion: v1
kind: ServiceAccount
metadata:
  name: historical
$patch: delete
---
# Service to expose and load balance between pods.
apiVersion: v1
kind: Service
metadata:
  name: historical
$patch: delete
---
# Deployment to create necessary pods with configurations.
apiVersion: apps/v1
kind: Deployment
metadata:
  name: historical
$patch: delete
---
kind: HorizontalPodAutoscaler
apiVersion: autoscaling/v2
metadata:
  name: historical
$patch: delete
---
kind: ConfigMap
apiVersion: v1
metadata:
  name: historical
$patch: delete
---
apiVersion: route.openshift.io/v1
kind: Route
metadata:
  name: historical
$patch: delete
---
apiVersion: route.openshift.io/v1
kind: Route
metadata:
  name: historical-jobtechdev-se-route
$patch: delete
---
apiVersion: v1
kind: ServiceAccount
metadata:
  name: proxy
$patch: delete
---
apiVersion: v1
kind: Service
metadata:
  name: proxy-historical-os
$patch: delete
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: proxy-historical-os
$patch: delete
---
kind: ConfigMap
apiVersion: v1
metadata:
  name: proxy-historical-os
$patch: delete
